Bug 1196672 - Need docs for converting puppet-foreman_scap_client to puppet-module
Summary: Need docs for converting puppet-foreman_scap_client to puppet-module
Keywords:
Status: CLOSED NOTABUG
Alias: None
Deadline: 2015-04-14
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Release Notes
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Unspecified
Assignee: Athene Chan
QA Contact: David O'Brien
URL:
Whiteboard:
Depends On:
Blocks: 1047797
TreeView+ depends on / blocked
 
Reported: 2015-02-26 13:55 UTC by Kedar Bidarkar
Modified: 2018-08-30 21:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-26 05:18:02 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Kedar Bidarkar 2015-02-26 13:55:22 UTC
Document URL: 

Section Number and Name: 

Describe the issue: 

1) running openscap scan requires puppet-class 'foreman_scap_client' being populated.
2) Currently puppet-foreman_scap_client is being delivered as a package which needs to be converted to puppet-module to create a puppet repo.


Suggestions for improvement: 

Steps for converting RPM to puppet-module.

a) Install the rpm pcakage 'puppet-foreman_scap_client' on satellite6.
b) move to dir, /usr/share/puppet/modules/foreman_scap_client
c) run 'puppet mdoule build' inside the above mentioned dir
d) the puppet-module is created.
e) Create the puppet repo , using the upload file approach.


Additional information:

Comment 2 Kedar Bidarkar 2015-02-27 14:38:29 UTC
Minor typo corrections: 


a) Install the rpm package 'puppet-foreman_scap_client' on satellite6.
b) move to dir, /usr/share/puppet/modules/foreman_scap_client
c) run 'puppet module build' inside the above mentioned directory
d) the puppet-module is created under pkg dir.
e) Create the puppet repo , using the upload file approach.

Comment 4 Kedar Bidarkar 2015-03-25 10:41:20 UTC
Looks like this is no longer required.

Why?

Because,

a) The RPM puppet-foreman_scap_client-0.3.3-4.el7sat.noarch when installed, 
adds the foreman_scap_client modules under /usr/share/puppet/modules 

b) Also on the sat6.1 the puppet config file /etc/puppet/puppet.conf contains,
'/usr/share/puppet/modules'  under 'basemodulepath'

c) what is the basemodulepath for?

Although environments should contain their own modules, you might want some modules to be available to all environments.

d) For OSCAP as we want it to be available under all environment, there is no need for the puppet-module and just installing the RPM puppet-foreman_scap_client should be enough.

so there is no need for converting puppet-foreman_scap_client to puppet-module.

Comment 5 Athene Chan 2015-03-26 05:18:02 UTC
Kedar,

Closing this ticket as per your request. 

Cheers,
Athene


Note You need to log in before you can comment on or make changes to this bug.